<?php
/*
 * Plugin Hook: editor
 * Plugin Name: fckeditor编辑器
 * Author: 系统自带插件
 * Version: 1.0
 * Plugin URI: about:blank
 * Description: fckeditor编辑器，一个快速编辑器。
 */
if(!defined('IN_MICECMS')){header("HTTP/1.0 404 Not Found");die();}
function fckeditor($isupload)
{
	$upload='';
	if($isupload==1){
		$upload='<a href="'.MICE_URL.'admin.php/index#5_47" target="_blank"><img src="'.MICE_URL.MICE_TPL.'/admin/imgs/medias.gif" border="0"></a>';
	}
	$dir=MICE_URL.'plugins/fckeditor/';

	return $upload.'<script type="text/javascript" src="'.$dir.'/'.'fckeditor.js"></script> 
	<script type="text/javascript">
	var miceFCKeditor = new FCKeditor("MCEname") ; 
	miceFCKeditor.BasePath = "'.$dir.'"; 
	miceFCKeditor.Value = \'MCEcontent\'; 
	miceFCKeditor.Height = "400";
	miceFCKeditor.Create() ; 
	</script>';
}
?>